Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlasd0

    java.lang.Object
      org.netlib.lapack.Dlasd0

    public class Dlasd0

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Using a divide and conquer approach, DLASD0 computes the singular
     *  value decomposition (SVD) of a real upper bidiagonal N-by-M
     *  matrix B with diagonal D and offdiagonal E, where M = N + SQRE.
     *  The algorithm computes orthogonal matrices U and VT such that
     *  B = U * S * VT. The singular values S are overwritten on D.
     *
     *  A related subroutine, DLASDA, computes only the singular values,
     *  and optionally, the singular vectors in compact form.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         On entry, the row dimension of the upper bidiagonal matrix.
     *         This is also the dimension of the main diagonal array D.
     *
     *  SQRE   (input) INTEGER
     *         Specifies the column dimension of the bidiagonal matrix.
     *         = 0: The bidiagonal matrix has column dimension M = N;
     *         = 1: The bidiagonal matrix has column dimension M = N+1;
     *
     *  D      (input/output) DOUBLE PRECISION array, dimension (N)
     *         On entry D contains the main diagonal of the bidiagonal
     *         matrix.
     *         On exit D, if INFO = 0, contains its singular values.
     *
     *  E      (input) DOUBLE PRECISION array, dimension (M-1)
     *         Contains the subdiagonal entries of the bidiagonal matrix.
     *         On exit, E has been destroyed.
     *
     *  U      (output) DOUBLE PRECISION array, dimension at least (LDQ, N)
     *         On exit, U contains the left singular vectors.
     *
     *  LDU    (input) INTEGER
     *         On entry, leading dimension of U.
     *
     *  VT     (output) DOUBLE PRECISION array, dimension at least (LDVT, M)

     *         On exit, VT' contains the right singular vectors.
     *
     *  LDVT   (input) INTEGER
     *         On entry, leading dimension of VT.
     *
     *  SMLSIZ (input) INTEGER
     *         On entry, maximum size of the subproblems at the
     *         bottom of the computation tree.
     *
     *  IWORK  (workspace) INTEGER work array.
     *         Dimension must be at least (8 * N)
     *
     *  WORK   (workspace) DOUBLE PRECISION work array.
     *         Dimension must be at least (3 * M**2 + 2 * M)
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = 1, an singular value did not converge
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ming Gu and Huan Ren, Computer Science Division, University of
     *     California at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Dlasd0()`

Method Summary
`static void` | `dlasd0(int n, int sqre, double[] d, int _d_offset, double[] e, int _e_offset, double[] u, int _u_offset, int ldu, double[] vt, int _vt_offset, int ldvt, int smlsiz, int[] iwork, int _iwork_offset, double[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlasd0

    public Dlasd0()

Method Detail

### dlasd0

    public static void dlasd0(int n,
                              int sqre,
                              double[] d,
                              int _d_offset,
                              double[] e,
                              int _e_offset,
                              double[] u,
                              int _u_offset,
                              int ldu,
                              double[] vt,
                              int _vt_offset,
                              int ldvt,
                              int smlsiz,
                              int[] iwork,
                              int _iwork_offset,
                              double[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD